io.etcd.jetcd.api

## Class RangeRequest

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.etcd.jetcd.api.RangeRequest

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, RangeRequestOrBuilder, Serializable

    public final class RangeRequest
    extends com.google.protobuf.GeneratedMessageV3
    implements RangeRequestOrBuilder

Protobuf type `etcdserverpb.RangeRequest`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `RangeRequest.Builder` Protobuf type `etcdserverpb.RangeRequest`
`static class` `RangeRequest.SortOrder` Protobuf enum `etcdserverpb.RangeRequest.SortOrder`
`static class` `RangeRequest.SortTarget` Protobuf enum `etcdserverpb.RangeRequest.SortTarget`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `COUNT_ONLY_FIELD_NUMBER`
`static int` `KEY_FIELD_NUMBER`
`static int` `KEYS_ONLY_FIELD_NUMBER`
`static int` `LIMIT_FIELD_NUMBER`
`static int` `MAX_CREATE_REVISION_FIELD_NUMBER`
`static int` `MAX_MOD_REVISION_FIELD_NUMBER`
`static int` `MIN_CREATE_REVISION_FIELD_NUMBER`
`static int` `MIN_MOD_REVISION_FIELD_NUMBER`
`static int` `RANGE_END_FIELD_NUMBER`
`static int` `REVISION_FIELD_NUMBER`
`static int` `SERIALIZABLE_FIELD_NUMBER`
`static int` `SORT_ORDER_FIELD_NUMBER`
`static int` `SORT_TARGET_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`boolean` `getCountOnly()` count_only when set returns only the count of the keys in the range.
`static RangeRequest` `getDefaultInstance()`
`RangeRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.ByteString` `getKey()` key is the first key for the range.
`boolean` `getKeysOnly()` keys_only when set returns only the keys and not the values.
`long` `getLimit()` limit is a limit on the number of keys returned for the request.
`long` `getMaxCreateRevision()` max_create_revision is the upper bound for returned key create revisions; all keys with greater create revisions will be filtered away.
`long` `getMaxModRevision()` max_mod_revision is the upper bound for returned key mod revisions; all keys with greater mod revisions will be filtered away.
`long` `getMinCreateRevision()` min_create_revision is the lower bound for returned key create revisions; all keys with lesser create trevisions will be filtered away.
`long` `getMinModRevision()` min_mod_revision is the lower bound for returned key mod revisions; all keys with lesser mod revisions will be filtered away.
`com.google.protobuf.Parser<RangeRequest>` `getParserForType()`
`com.google.protobuf.ByteString` `getRangeEnd()` range_end is the upper bound on the requested range [key, range_end).
`long` `getRevision()` revision is the point-in-time of the key-value store to use for the range.
`boolean` `getSerializable()` serializable sets the range request to use serializable member-local reads.
`int` `getSerializedSize()`
`RangeRequest.SortOrder` `getSortOrder()` sort_order is the order for returned sorted results.
`int` `getSortOrderValue()` sort_order is the order for returned sorted results.
`RangeRequest.SortTarget` `getSortTarget()` sort_target is the key-value field to use for sorting.
`int` `getSortTargetValue()` sort_target is the key-value field to use for sorting.
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static RangeRequest.Builder` `newBuilder()`
`static RangeRequest.Builder` `newBuilder(RangeRequest prototype)`
`RangeRequest.Builder` `newBuilderForType()`
`protected RangeRequest.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static RangeRequest` `parseDelimitedFrom(InputStream input)`
`static RangeRequest` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static RangeRequest` `parseFrom(byte[] data)`
`static RangeRequest` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static RangeRequest` `parseFrom(ByteBuffer data)`
`static RangeRequest` `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static RangeRequest` `parseFrom(com.google.protobuf.ByteString data)`
`static RangeRequest` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static RangeRequest` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static RangeRequest` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static RangeRequest` `parseFrom(InputStream input)`
`static RangeRequest` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<RangeRequest>` `parser()`
`RangeRequest.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### KEY_FIELD_NUMBER

    public static final int KEY_FIELD_NUMBER

See Also:
  Constant Field Values

#### RANGE_END_FIELD_NUMBER

    public static final int RANGE_END_FIELD_NUMBER

See Also:
  Constant Field Values

#### LIMIT_FIELD_NUMBER

    public static final int LIMIT_FIELD_NUMBER

See Also:
  Constant Field Values

#### REVISION_FIELD_NUMBER

    public static final int REVISION_FIELD_NUMBER

See Also:
  Constant Field Values

#### SORT_ORDER_FIELD_NUMBER

    public static final int SORT_ORDER_FIELD_NUMBER

See Also:
  Constant Field Values

#### SORT_TARGET_FIELD_NUMBER

    public static final int SORT_TARGET_FIELD_NUMBER

See Also:
  Constant Field Values

#### SERIALIZABLE_FIELD_NUMBER

    public static final int SERIALIZABLE_FIELD_NUMBER

See Also:
  Constant Field Values

#### KEYS_ONLY_FIELD_NUMBER

    public static final int KEYS_ONLY_FIELD_NUMBER

See Also:
  Constant Field Values

#### COUNT_ONLY_FIELD_NUMBER

    public static final int COUNT_ONLY_FIELD_NUMBER

See Also:
  Constant Field Values

#### MIN_MOD_REVISION_FIELD_NUMBER

    public static final int MIN_MOD_REVISION_FIELD_NUMBER

See Also:
  Constant Field Values

#### MAX_MOD_REVISION_FIELD_NUMBER

    public static final int MAX_MOD_REVISION_FIELD_NUMBER

See Also:
  Constant Field Values

#### MIN_CREATE_REVISION_FIELD_NUMBER

    public static final int MIN_CREATE_REVISION_FIELD_NUMBER

See Also:
  Constant Field Values

#### MAX_CREATE_REVISION_FIELD_NUMBER

    public static final int MAX_CREATE_REVISION_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getKey

    public com.google.protobuf.ByteString getKey()

     key is the first key for the range. If range_end is not given, the request only looks up key.

`bytes key = 1;`

Specified by:
  `getKey` in interface `RangeRequestOrBuilder`
Returns:
  The key.

#### getRangeEnd

    public com.google.protobuf.ByteString getRangeEnd()

     range_end is the upper bound on the requested range [key, range_end).
     If range_end is '\0', the range is all keys >= key.
     If range_end is key plus one (e.g., "aa"+1 == "ab", "a\xff"+1 == "b"),
     then the range request gets all keys prefixed with key.
     If both key and range_end are '\0', then the range request returns all keys.

`bytes range_end = 2;`

Specified by:
  `getRangeEnd` in interface `RangeRequestOrBuilder`
Returns:
  The rangeEnd.

#### getLimit

    public long getLimit()

     limit is a limit on the number of keys returned for the request. When limit is set to 0,
     it is treated as no limit.

`int64 limit = 3;`

Specified by:
  `getLimit` in interface `RangeRequestOrBuilder`
Returns:
  The limit.

#### getRevision

    public long getRevision()

     revision is the point-in-time of the key-value store to use for the range.
     If revision is less or equal to zero, the range is over the newest key-value store.
     If the revision has been compacted, ErrCompacted is returned as a response.

`int64 revision = 4;`

Specified by:
  `getRevision` in interface `RangeRequestOrBuilder`
Returns:
  The revision.

#### getSortOrderValue

    public int getSortOrderValue()

     sort_order is the order for returned sorted results.

`.etcdserverpb.RangeRequest.SortOrder sort_order = 5;`

Specified by:
  `getSortOrderValue` in interface `RangeRequestOrBuilder`
Returns:
  The enum numeric value on the wire for sortOrder.

#### getSortOrder

    public RangeRequest.SortOrder getSortOrder()

     sort_order is the order for returned sorted results.

`.etcdserverpb.RangeRequest.SortOrder sort_order = 5;`

Specified by:
  `getSortOrder` in interface `RangeRequestOrBuilder`
Returns:
  The sortOrder.

#### getSortTargetValue

    public int getSortTargetValue()

     sort_target is the key-value field to use for sorting.

`.etcdserverpb.RangeRequest.SortTarget sort_target = 6;`

Specified by:
  `getSortTargetValue` in interface `RangeRequestOrBuilder`
Returns:
  The enum numeric value on the wire for sortTarget.

#### getSortTarget

    public RangeRequest.SortTarget getSortTarget()

     sort_target is the key-value field to use for sorting.

`.etcdserverpb.RangeRequest.SortTarget sort_target = 6;`

Specified by:
  `getSortTarget` in interface `RangeRequestOrBuilder`
Returns:
  The sortTarget.

#### getSerializable

    public boolean getSerializable()

     serializable sets the range request to use serializable member-local reads.
     Range requests are linearizable by default; linearizable requests have higher
     latency and lower throughput than serializable requests but reflect the current
     consensus of the cluster. For better performance, in exchange for possible stale reads,
     a serializable range request is served locally without needing to reach consensus
     with other nodes in the cluster.

`bool serializable = 7;`

Specified by:
  `getSerializable` in interface `RangeRequestOrBuilder`
Returns:
  The serializable.

#### getKeysOnly

    public boolean getKeysOnly()

     keys_only when set returns only the keys and not the values.

`bool keys_only = 8;`

Specified by:
  `getKeysOnly` in interface `RangeRequestOrBuilder`
Returns:
  The keysOnly.

#### getCountOnly

    public boolean getCountOnly()

     count_only when set returns only the count of the keys in the range.

`bool count_only = 9;`

Specified by:
  `getCountOnly` in interface `RangeRequestOrBuilder`
Returns:
  The countOnly.

#### getMinModRevision

    public long getMinModRevision()

     min_mod_revision is the lower bound for returned key mod revisions; all keys with
     lesser mod revisions will be filtered away.

`int64 min_mod_revision = 10;`

Specified by:
  `getMinModRevision` in interface `RangeRequestOrBuilder`
Returns:
  The minModRevision.

#### getMaxModRevision

    public long getMaxModRevision()

     max_mod_revision is the upper bound for returned key mod revisions; all keys with
     greater mod revisions will be filtered away.

`int64 max_mod_revision = 11;`

Specified by:
  `getMaxModRevision` in interface `RangeRequestOrBuilder`
Returns:
  The maxModRevision.

#### getMinCreateRevision

    public long getMinCreateRevision()

     min_create_revision is the lower bound for returned key create revisions; all keys with
     lesser create trevisions will be filtered away.

`int64 min_create_revision = 12;`

Specified by:
  `getMinCreateRevision` in interface `RangeRequestOrBuilder`
Returns:
  The minCreateRevision.

#### getMaxCreateRevision

    public long getMaxCreateRevision()

     max_create_revision is the upper bound for returned key create revisions; all keys with
     greater create revisions will be filtered away.

`int64 max_create_revision = 13;`

Specified by:
  `getMaxCreateRevision` in interface `RangeRequestOrBuilder`
Returns:
  The maxCreateRevision.

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static RangeRequest parseFrom(ByteBuffer data)
                                  throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static RangeRequest parseFrom(ByteBuffer data,
                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                  throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static RangeRequest parseFrom(com.google.protobuf.ByteString data)
                                  throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static RangeRequest parseFrom(com.google.protobuf.ByteString data,
                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                  throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static RangeRequest parseFrom(byte[] data)
                                  throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static RangeRequest parseFrom(byte[] data,
                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                  throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static RangeRequest parseFrom(InputStream input)
                                  throws IOException

Throws:
  `IOException`

#### parseFrom

    public static RangeRequest parseFrom(InputStream input,
                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                  throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static RangeRequest parseDelimitedFrom(InputStream input)
                                           throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static RangeRequest parseDelimitedFrom(InputStream input,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws IOException

Throws:
  `IOException`

#### parseFrom

    public static RangeRequest parseFrom(com.google.protobuf.CodedInputStream input)
                                  throws IOException

Throws:
  `IOException`

#### parseFrom

    public static RangeRequest parseFrom(com.google.protobuf.CodedInputStream input,
                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                  throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public RangeRequest.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static RangeRequest.Builder newBuilder()

#### newBuilder

    public static RangeRequest.Builder newBuilder(RangeRequest prototype)

#### toBuilder

    public RangeRequest.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected RangeRequest.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static RangeRequest getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<RangeRequest> parser()

#### getParserForType

    public com.google.protobuf.Parser<RangeRequest> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public RangeRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`